package org.davic.media;



/**

 * This class provides a Java Media Framework DataSource for use with data sources 

 * such as DAVIC network interfaces. This is required because some of the standard

 * JMF data sources require implementations to provide access to the actual media

 * data which is inappropriate in most DAVIC systems.<p>

 *

 * Applications are discouraged from invoking any of the methods defined in the DataSource. These methods 

 * are for internal use of the player only. The DataSource shall only be used for referencing content. 

 * Applications shall make no assumptions about the HardwareDataSource implementing certain interfaces 

 * nor may draw any conclusions from that.

 * The content type returned by the HardwareDataSource does not indicate the actual content, it indicates 

 * the type of MediaHandler required for playing the content. This is required for an internal mechanism 

 * to find the appropriate hardware MediaHandler and not intended for application. The proposed types 

 * include "davic/service" for any davic-defined service (where URL refers to a service) and "davic/audio" for 

 * the davic-defined audio types (where URL refers to an audio component).

 */

public class HardwareDataSource extends javax.media.protocol.DataSource {

	// only used to stop javadoc generating a public constructor

	HardwareDataSource()

	{

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public void setLocator(javax.media.MediaLocator locator)

	{

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public javax.media.MediaLocator getLocator()

	{

		return null;

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public String getContentType()

	{

		return null;

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public void connect() throws java.io.IOException

	{

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public void disconnect()

	{

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public void start() throws java.io.IOException

	{

	}

	/*

	 *  method from javax.media.protocol.DataSource

	 */

	public void stop() throws java.io.IOException

	{

	}

	/*

	 * method from javax.media.protocol.Controls

	 */

	public Object[] getControls()

	{

		return null;

	}

	/*

	 * method from javax.media.protocol.Controls

	 */

	public Object getControl(String control)

	{

		return null;

	}

	/*

	 * method from javax.media.Duration

	 */

	public javax.media.Time getDuration()

	{

		return null;

	}

}




