package org.davic.net.ca;



import org.davic.resources.*;

import org.davic.mpeg.*;



/** This class represents a CA system or module using the DAVIC CA1 interface

  */



public class CA1Module extends CAModule {



  /* For javadoc to hide the non-public constructor */

  CA1Module() {}



  /** This method allows an application to open a message session to 

    * this module.  The return value of this method is the

    * session_id that is unique identification of the session

    * within the module. 

    * @param listener listener that will receive the messages related to this

    *                 message session

    * @exception ModuleUnavailableException raised if the physical CA module

    *                                       has been removed and is not 

    *                                       available any more

    * @exception ModuleBusyException raised if the module is busy and 

    *                                is not able to handle a message

    *                                session at the moment

    * @return session identifier

    */

  public int openMessageSession(MessageListener listener) throws CAException {

    return 0;

  }



  /** This method allows an application to close a session to

    * this module. 

    * After this method has returned, no new messages will be accepted in

    * this session. Messages that have already been submitted will however

    * be answered. After the last 'ModuleResponseEvent' a 

    * 'SessionClosedEvent' will follow.

    * @param session_id session identifier returned by the 

    *                   openMessageSession method. 

    * @exception UnknownSessionException raised if the specified session does

    *                                    not exist 

    * @exception ModuleUnavailableException raised if the physical CA module

    *                                       has been removed and is not 

    *                                       available any more

    */

  public void closeMessageSession(int session_id) throws CAException {

  }



  /** Sends a command APDU to a CA1 module. The sending of the message is 

    * asynchronous. 

    * This command must describe the entire context of the command.

    * @param session_id the session identifier returned by the 

    *                   openMessageSession method

    * @param msg the message to be sent to the module

    * @exception UnknownSessionException raised if the specified session does

    *                                    not exist 

    * @exception ModuleUnavailableException raised if the physical CA module

    *                                       has been removed and is not 

    *                                       available any more

    * @exception BufferFullException raised if the message buffer is full

    */

  public void sendToModule(int session_id, CA1Message msg) throws CAException {

  }



  /**

    * @return the historical characters of this CA module

    * @exception ModuleUnavailableException if the CA module is not available anymore

    */

  public byte[] getHistoryBytes() throws CAException {

	return null;

  }



  /** Sends a number of command APDUs to a CA1 module. The sending of the

    * messages is asynchronous and will be handled as one atomic operation

    * unless access to the smart card is pre-empted by a higher priority

    * system function (e.g. the conditional access system). If access to

    * the smart card is pre-empted in this way, a ModuleStateChangedEvent

    * will be generated. A separate CA1ModuleResponseEvent will be

    * generated for each command in the array. 

    *

    * @param session_id the session identifier returned by the 

    *                   openMessageSession method

    * @param msg the messages to be sent to the module

    * @exception UnknownSessionException if the specified session does not exist

    * @exception ModuleUnavailableException if the physical CA module is not available anymore

    * @exception BufferFullException is if the message buffer is full. None of the

    * commands in the array will be sent to the module. 

    */



   public void sendToModule(int session_id, CA1Message[] msg) throws CAException

   {

   }



   /** Resets the module. Like for all methods, a java.lang.SecurityException may be

     * raised if this method is called and the application is not allowed to perform

     * this operation.

     *

     * @exception ModuleUnavailableException if the CA module is not available anymore.

     */

   public void resetModule() throws CAException 

   {

   }



}






